libtgl-2.0.3.0.ffb04caca71-alt4.i586.rpm


Advertisement

Description

libtgl - library that handles telegram api and protocol

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package filename libtgl-2.0.3.0.ffb04caca71-alt4.i586.rpm
Package name libtgl
Package version 2.0.3.0.ffb04caca71
Package release alt4
Package architecture i586
Package type rpm
Category Networking/Instant messaging
Homepage -
License -
Maintainer -
Download size 4.08 MB
Installed size 4.08 MB
This is library that handles telegram api and protocol.
Current versions:
scheme.tl: Layer 38
encrypted_scheme.tl: Layer 23
Documentation for Telegram API is available here: https://core.telegram.org/api
Documentation for MTproto protocol is available here: https://core.telegram.org/mtproto

Alternatives

Package Version Architecture Repository
libtgl-2.0.3.0.ffb04caca71-alt4.x86_64.rpm 2.0.3.0.ffb04caca71 x86_64 Classic
libtgl - - -

Requires

Name Value
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.17) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.8) -
libcrypto.so.1.1 -
libcrypto.so.1.1(OPENSSL_1_1_0) -
libevent_core-2.1.so.6 -
libz.so.1 -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libtgl = 2.0.3.0.ffb04caca71-alt4:sisyphus+225931.100.1.1
libtgl.so.0 -

Download

Type URL
Mirror ftp.altlinux.org
Binary Package libtgl-2.0.3.0.ffb04caca71-alt4.i586.rpm
Source Package libtgl-2.0.3.0.ffb04caca71-alt4.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libtgl rpm package:
    # sudo apt-get install libtgl

Files

Path
/usr/lib/libtgl.so.0

Changelog

2018-12-10 - Vitaly Lipatov <lav@altlinux.ru> 2.0.3.0.ffb04caca71-alt4
- fix build (drop -Werror)
2018-08-29 - Vitaly Lipatov <lav@altlinux.ru> 2.0.3.0.ffb04caca71-alt3
- fix build with OpenSSL 1.1
2018-06-24 - Vitaly Lipatov <lav@altlinux.ru> 2.0.3.0.ffb04caca71-alt2
- fix error: __builtin___sprintf_chk may write a terminating nul past the end of the destination
2017-03-14 - Vitaly Lipatov <lav@altlinux.ru> 2.0.3.0.ffb04caca71-alt1
- new build with ffb04caca71de0cddf28cd33a4575922900a59ed
2017-01-03 - Vitaly Lipatov <lav@altlinux.ru> 2.0.1-alt1.cec82849cb4
- initial build for ALT Linux Sisyphus

See Also

Package Description
libtgl-devel-2.0.3.0.ffb04caca71-alt4.i586.rpm Development files for libtgl
libtgvoip-2.4.4-alt1.i586.rpm VoIP library for Telegram clients
libtgvoip-devel-2.4.4-alt1.i586.rpm Development files for libtgvoip
libthai-0.1.28-alt1_1.i586.rpm Thai language support routines
libthai-devel-0.1.28-alt1_1.i586.rpm Thai language support routines
libtheora-1.1.1-alt6.i586.rpm Theora Video Compression Codec
libtheora-devel-1.1.1-alt6.i586.rpm Development files for libtheora
libthunar-1.8.9-alt1.i586.rpm Shared libraries for Thunar
libthunar-devel-1.8.9-alt1.i586.rpm devel files for Thunar
libtic-6.1.20180407-alt2.i586.rpm A low-level terminfo manipulation shared library
libtic-devel-6.1.20180407-alt2.i586.rpm A low-level terminfo manipulation development library
libticables-devel-1.3.4-alt1_1.i586.rpm Development related files for libticables
libticables2-devel-1.3.5-alt1_4.i586.rpm Development related files for libticables2
libticables2_7-1.3.5-alt1_4.i586.rpm Library to handle different TI link cables
libticables6-1.3.4-alt1_1.i586.rpm Library to handle different TI link cables
Advertisement
Advertisement